### Method

# JavaScriptCore Context evaluate

#### Declaration [src]

    JSCValue*
    jsc_context_evaluate (
      JSCContext* context,
      const char* code,
      gssize length
    )

#### Description [src]

Evaluate `code` in `context`.

#### Parameters

`code`

  Type: `const char*`

  A JavaScript script to evaluate.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `gssize`

  Length of `code`, or -1 if `code` is a nul-terminated string.

#### Return value

Type: `JSCValue`

A `JSCValue` representing the last value generated by the script.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.